{ config, pkgs, ... }:

{
  imports =
    [
      ./hardware-configuration.nix
      ../../configuration/proxmox-vm
      ../../configuration/hydra-build-machine
    ];

  boot.loader.grub.enable = true;
  boot.loader.grub.device = "/dev/vda";

  boot.binfmt.emulatedSystems = [
    "armv6l-linux"
    "armv7l-linux"
    "aarch64-linux"
  ];

  networking.useDHCP = false;
  networking.interfaces.ens18.ipv6.addresses = [ { address = "2001:638:904:ffc1::100"; prefixLength = 64; } ];
  networking.interfaces.ens18.ipv4.addresses = [ { address = "141.24.50.112"; prefixLength = 24; } ];
  networking.defaultGateway6 = { address = "2001:638:904:ffc1::1"; interface = "ens18"; };
  networking.defaultGateway = { address = "141.24.50.1"; interface = "ens18"; };
  networking.nameservers = [ "2001:638:904:ffcc::3" "2001:638:904:ffcc::4" "141.24.40.3" "141.24.40.4" ];

  clerie.monitoring = {
    enable = true;
    id = "211";
    pubkey = "aWtxaM6GKhPwIJWRIQSqJwUa6nhfnD89JkkN9bt2NwE=";
  };

  system.stateVersion = "22.11";
}
